<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLicenseCapabilitiesReq StructType
 * @subpackage Structs
 */
class AddLicenseCapabilitiesReq extends APIRequest
{
    /**
     * The licenseCapabilities
     * @var XLicenseCapabilities
     */
    public $licenseCapabilities;
    /**
     * Constructor method for AddLicenseCapabilitiesReq
     * @uses AddLicenseCapabilitiesReq::setLicenseCapabilities()
     * @param XLicenseCapabilities $licenseCapabilities
     */
    public function __construct(XLicenseCapabilities $licenseCapabilities = null)
    {
        $this
            ->setLicenseCapabilities($licenseCapabilities);
    }
    /**
     * Get licenseCapabilities value
     * @return XLicenseCapabilities|null
     */
    public function getLicenseCapabilities()
    {
        return $this->licenseCapabilities;
    }
    /**
     * Set licenseCapabilities value
     * @param XLicenseCapabilities $licenseCapabilities
     * @return AddLicenseCapabilitiesReq
     */
    public function setLicenseCapabilities(XLicenseCapabilities $licenseCapabilities = null)
    {
        $this->licenseCapabilities = $licenseCapabilities;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLicenseCapabilitiesReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
